do

local CBFP_oldURA0001 = URA0001

URA0001 = Class(CBFP_oldURA0001) {

    # Brute51: part of the fix for UEF ACU drone engineer [118]

    SetParent = function(self, parent)
        self.parent = parent
    end,

    GetParent = function(self)
        return self.parent
    end,
}

TypeClass = URA0001

end